"""Miscellaneous Exceptions and Errors."""

class MissingConfigKeyError(RuntimeError):
    """Raised when an expected appconfig key-value pair is not found."""

    pass


class InvalidStringFormatException(Exception):
    """Exception raised when an invalid string format is encountered."""

    pass


class InvalidImageException(Exception):
    """Exception raised when an invalid image is encountered."""

    pass


class AttributeNotFoundException(Exception):
    """Exception raised when an entry's is unexpectedly not set."""

    pass


class InvalidAttributeException(Exception):
    """Exception raised when an entry's is unexpectedly not set."""

    pass
